Subject: [alpine-devel] [PATCH] testing/libecap: new aport

From: Roger Newman <[email-masked]>
Date: Fri, 10 Oct 2014 09:51:21 +0200

http://e-cap.org/Home
eCAP allows an HTTP proxy or an ICAP server, to outsource content analysis and adaptation to a loadable module.
---
 testing/libecap/APKBUILD | 45 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)
 create mode 100644 testing/libecap/APKBUILD

diff --git a/testing/libecap/APKBUILD b/testing/libecap/APKBUILD
new file mode 100644
index 0000000..5fefe63
--- /dev/null
+++ b/testing/libecap/APKBUILD
@@ -0,0 +1,45 @@
+# Maintainer: Roger Newman <[email-masked]>
+pkgname=libecap
+pkgver=0.2.0
+pkgrel=0
+pkgdesc="eCAP libary to us with an HTTP proxy or an ICAP server, to outsource content analysis and adaptation to a loadable module."
+url="http://www.e-cap.org/"
+arch="all"
+license="BSD"
+depends=""
+subpackages="$pkgname-dev"
+source="http://www.measurement-factory.com/tmp/ecap/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS="$CFLAGS -O2"
+	CHOST="${CHOST}" ./configure \
+		--prefix=/usr \
+		--libdir=/lib \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make install \
+		pkgconfigdir="/usr/lib/pkgconfig" \
+		DESTDIR="$pkgdir" || return 1
+        
+	rm -f "$pkgdir"/lib/*.la
+}
+
+md5sums="e65a855f4fbb0f3136af7fe28249e883  libecap-0.2.0.tar.gz"
+sha256sums="19e195d60cf67ec3b49fe4d109823d753546b5da115230499ad1a9cb65ca92d2  libecap-0.2.0.tar.gz"
+sha512sums="5d39444ec79846b14a7f4292e51bb880befd2cbf581b257d5087517cfae1dce55e4439a90c08e0b8f5b3e8b2431dde8c6fab771c826489024f17625cfc8c777e  libecap-0.2.0.tar.gz"
-- 
2.0.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Natanael Copa <[email-masked]>
Date: Fri, 10 Oct 2014 13:54:06 +0200

Hi,

please see comments inline below.

On Fri, 10 Oct 2014 09:51:21 +0200

> +++ b/testing/libecap/APKBUILD

why is -02 needed?

why is not -Os good enough?

> +	CHOST="${CHOST}" ./configure \

we normally do:

                --build=$CBUILD \
                --host=$CHOST \

> +	rm -f "$pkgdir"/lib/*.la

why are files installed in /lib instead of /usr/lib?

I merged the 2 commits and fixed all the above issues.

Thanks!

-nc

---